﻿using CommandLine;
using Microsoft.Extensions.Logging;
using Piwigo.Client.Cli;

var loggerFactory = LoggerFactory.Create(builder => builder.AddConsole().AddDebug());

return await Parser.Default.ParseArguments<UploadOptions>(args).MapResult(async opts => await UploadHandler.UploadAndReturnExitCode(opts, loggerFactory),
    _ => Task.FromResult(-1)); // Invalid arguments