namespace Piwigo.Client.Images;

public record ImageInfo
{
    public string? FileName { get; init; }
    public string? Name { get; init; }
    public string? Author { get; init; }
    public DateTime? CreatedAt { get; init; }
    public string? Comment { get; init; }
    public int? Level { get; init; }
    public IReadOnlyCollection<(int AlbumId, int? Rank)>? Albums { get; init; }
    public IReadOnlyCollection<int>? TagIds { get; init; }
}