using System.Diagnostics.CodeAnalysis;
using Newtonsoft.Json;

namespace Piwigo.Client.Tags;

[SuppressMessage("ReSharper", "StringLiteralTypo")]
public record Tag
{
    [JsonProperty("id")]
    public int Id { get; init; }

    [JsonProperty("name")]
    public string? Name { get; init; }

    [JsonProperty("url_name")]
    public string? UrlName { get; init; }

    [JsonProperty("lastmodified")]
    public DateTime? LastModified { get; init; }
}