using Newtonsoft.Json;

namespace Piwigo.Client.Tags;

public record MergeResult
{
    [JsonProperty("destination_tag")]
    public int DestinationTagId { get; init; }

    [JsonProperty("deleted_tag")]
    public IReadOnlyCollection<int>? DeletedTags { get; init; }

    [JsonProperty("images_in_merged_tag")]
    public IReadOnlyCollection<int>? ImagesInMergedTag { get; init; }
}